#
# spec file for package perl-experimental
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-experimental
Version:        0.016
Release:        3.1
%define cpan_name experimental
Summary:        Experimental features made easy
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/experimental/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.019
BuildRequires:  perl(Test::More) >= 0.89
BuildRequires:  perl(feature)
BuildRequires:  perl(version)
Requires:       perl(feature)
Requires:       perl(version)
%{perl_requires}

%description
This pragma provides an easy and convenient way to enable or disable
experimental features.

Every version of perl has some number of features present but considered
"experimental." For much of the life of Perl 5, this was only a designation
found in the documentation. Starting in Perl v5.10.0, and more aggressively
in v5.18.0, experimental features were placed behind pragmata used to
enable the feature and disable associated warnings.

The 'experimental' pragma exists to combine the required incantations into
a single interface stable across releases of perl. For every experimental
feature, this should enable the feature and silence warnings for the
enclosing lexical scope:

  use experimental 'feature-name';

To disable the feature and, if applicable, re-enable any warnings, use:

  no experimental 'feature-name';

The supported features, documented further below, are:

	array_base    - allow the use of $[ to change the starting index of @array
	autoderef     - allow push, each, keys, and other built-ins on references
	lexical_topic - allow the use of lexical $_ via "my $_"
	postderef     - allow the use of postfix dereferencing expressions, including
	                in interpolating strings
	refaliasing   - allow aliasing via \$x = \$y
	regex_sets    - allow extended bracketed character classes in regexps
	signatures    - allow subroutine signatures (for named arguments)
	smartmatch    - allow the use of ~~
	switch        - allow the use of ~~, given, and when

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Oct 11 2015 coolo@suse.com
- updated to 0.016
  see /usr/share/doc/packages/perl-experimental/Changes
  0.016     2015-10-10 12:46:48+02:00 Europe/Amsterdam
    Fix deprecation check
* Sun Oct  4 2015 coolo@suse.com
- updated to 0.015
  see /usr/share/doc/packages/perl-experimental/Changes
  0.015     2015-10-03 14:21:18+02:00 Europe/Amsterdam
    Make lexical_topic a deprecated feature
* Mon Sep 14 2015 coolo@suse.com
- updated to 0.014
  see /usr/share/doc/packages/perl-experimental/Changes
  0.014     2015-09-12 00:29:37+02:00 Europe/Amsterdam
    Add bitwise to list of known features
* Mon Oct 27 2014 ncutler@suse.com
- updated to 0.013
* Mon Oct 27 2014 ncutler@suse.com
  Upstream changes
- 0.013 Rename lvalue_refs to refaliasing
* Mon Oct 13 2014 ncutler@suse.com
  Upstream changes
- 0.012 Added lvalue references feature
* Mon Sep 29 2014 ncutler@suse.com
  Upstream changes
- 0.011 Clarified which order to apply pragmas [Grant McLean]
- 0.010 Add returning 1's to evals in tests
- 0.009 Hardcode features for perl < 5.15.7
* Thu Aug  7 2014 ncutler@suse.com
- initial package 0.008
  * created by cpanspec 1.78.08
- checked license
- took over maintainership
